Agents
Dismiss a mined skill
Reject one of this dream's mined skill candidates. Its staging is dropped and the decision recorded, so later dreams are told not to propose it again. 409 if it was already accepted.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuiddreamId*string
Length
1 <= length <= 128name*string
Match
^[a-z0-9][a-z0-9-]{0,62}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/memory/dreams/string/skills/string/dismiss"{ "dreamId": "string", "agentId": "string", "status": "pending", "trigger": "manual", "sessionIds": [ "string" ], "snapshotDigest": "string", "executionSessionId": "string", "runtime": "string", "model": "string", "stopReason": "string", "instructions": "string", "skills": [ { "name": "string", "description": "string", "state": "proposed" } ], "usage": { "reportedAt": "string", "totalTokens": 0, "inputTokens": 0, "outputTokens": 0, "thoughtTokens": 0, "cachedReadTokens": 0, "cachedWriteTokens": 0, "contextUsed": 0, "contextSize": 0, "costAmount": 0, "costCurrency": "string", "inputBytes": 0, "outputBytes": 0 }, "error": { "type": "string", "message": "string" }, "createdAt": "string", "endedAt": "string"}